Package com.microsoft.sqlserver.jdbc.spatialdatatypes

# Class WKBLinearRing

java.lang.Object
com.microsoft.sqlserver.jdbc.spatialdatatypes.WKBLinearRing

    public class WKBLinearRing
    extends java.lang.Object

Represents the internal makings of a WKB Linear Ring.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`WKBLinearRing​(int numPoints, WKBPoint[] wkbPoints)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getNumPoints()` | Returns the number of points.
`WKBPoint[]` | `getWkbPoints()` | Returns the WKB points.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WKBLinearRing

public WKBLinearRing​(int numPoints, WKBPoint[] wkbPoints)

## Method Details

### getNumPoints

public int getNumPoints()
Returns the number of points.

Returns:
  int number of points.

### getWkbPoints

public WKBPoint[] getWkbPoints()
Returns the WKB points.

Returns:
  WKBPoint[] the WKB points.